Subject: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Alan Third <[email-masked]>
Date: Sat, 26 May 2018 17:38:44 +0100

On Thu, May 24, 2018 at 08:58:32AM -0700, Aaron Jensen wrote:
> On Thu, May 24, 2018 at 8:29 AM Eli Zaretskii <[email-masked]> wrote:
> > Is this NS specific?  I cannot reproduce any problem with the original
> > recipe posted with this bug report, but maybe you are already using a
> > modified one (the talk about pixelwise resizing seems to suggest
> > that)?
> 
> > If it's NS-specific, I'd like to understand the issue deeper before we
> > decide how and on which branch to fix it.

I believe it is NS specific. I can’t reproduce it on an X build.

> The behavior seems isolated to frames that have no-accept-focus set.
> It doesn't actually require the frame to be a child frame.

Resizing the font has no effect on the area that you have to click to
see this happen, so it’s nothing to do with clicking on the last line
of the window, or anything to do with the modeline or the minibuffer,
as they change size with the font.

I think it’s the height of the titlebar that’s defining the area. I’ve
no idea why that would be an issue, though, or what no-accept-focus
has to do with it. I also can’t find any hard‐coded references to the
titlebar height, so I suppose we need to add the titlebar height
somewhere...

-- 
Alan Third